<?php get_header(); ?> 
<?php $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author)); ?>
	<div id="main">
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	<?php /* If this is an author archive */  if (is_author()) { ?>
		<div id="author-describe">
		<?php if ( have_posts() ) : the_post();?>
		<?php $author = get_option('itw_author');if($author) { ?>
		<span class="author_meta_avatar"><?php echo get_avatar( get_the_author_meta('ID'), 120 ); ?></span>
		<span class="author_meta_name">作者：<?php the_author_meta('display_name'); ?></span>
		<span class="author_meta_description"><?php the_author_meta('description'); ?></span>
		<span class="author_meta_social">
		<a href="<?php the_author_meta( 'plus', $post->post_author ); ?>" title="Author Google+" target="_blank" >Google+</a>｜
		<a href="<?php the_author_meta( 'facebook', $post->post_author ); ?>" title="Author Facebook" target="_blank" >Facebook</a>｜
		<a href="<?php the_author_meta( 'twitter', $post->post_author ); ?>" title="Author Twitter" target="_blank" >Twitter</a>｜
		<a href="<?php the_author_meta( 'describe', $post->post_author ); ?>" title="Author More Description" >更多關於我</a>
		</span>
		</div>
		<?php } ?> 
		<?php endif; ?>
	<?php /* If this is a category archive */ } elseif(is_category()) { ?>
	<h3 class="archive">您正在觀看《<?php single_cat_title(); ?>》分類下的文章</h3>
 	<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
	<h3 class="archive">您正在觀看《<?php single_tag_title(); ?>》標籤下的文章</h3>
 	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
	<h3 class="archive">您正在觀看《<?php the_time(__('F jS, Y')); ?>》當天的文章</h3>
 	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<h3 class="archive">您正在觀看《<?php the_time(__('F, Y')); ?>》當月的文章</h3>
 	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<h3 class="archive">您正在觀看《<?php the_time(__('Y')); ?>》當年的文章</h3>
 	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<?php } ?>
	<div class="posts-list">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry">
			<h2>
			<a class="title" href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark">
			<?php the_title(); ?>
			</a></h2>
			<div class="post-content">
			<?php $thumbon = get_option('itw_thumbon');if($thumbon) { include('includes/thumb.php') ;}?><?php the_content(__('')); ?>
			<a class="readmore" href="<?php the_permalink() ?>" rel="bookmark" title="閱讀：<?php the_title(); ?>">繼續閱讀&raquo;</a>
			</div>
			<div class="post-meta">
			<div class="author">作者：<?php the_author_posts_link(); ?></div><div class="date">日期：<?php the_time('Y/m/d') ?></div><div class="comments"><?php comments_number( '0個留言', '1個留言', '%個留言' ); ?></div><?php edit_post_link(__('[文章編輯]', 'twweeb')); ?>
		</div>
		</article>
	<?php endwhile; endif; ?>
	</div><!-- /post-->
           <nav id="page-navigate">
			<?php pagenavi();?>
           </nav>
<?php get_footer(); ?>