<?php
global $shortname,$options;
$shortname = "itw";
$options = 
array (
	array( "type" => "tabline",
	       "desc" => "<ul>"
		  ), 
	array( "name" => "自訂網址圖示(favicon)",
		   "id" => $shortname."_favicon",
		   "type" => "upload",
		   "std" => "",
		   "desc" => '網址列前面的小圖示(favicon)，相關資訊請參考<a href="http://twweeb.org/shortcut-icon/" target=_blank >本文</a>，請輸入圖片網址或點擊上傳圖片加入，檔案副檔名請使用.ico格式，大小(16*16)<br />
						<i>Add an favicon, short for favorite icon, for a web. It`s a Web site icon, URL icon, or bookmark icon, is a file containing one or more small icons, most commonly 16×16 pixels, associated with a particular Web site or Web page.</i>。'	
         ),	
	array( "name" => "Logo圖片設定",
		   "id" => $shortname."_logo",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "請輸入LOGO網址或點擊上傳圖片加入，為求版面工整，請注意長度與寬度比例(寬度＜400px，高度＜90px)，若過大，系統會自動縮圖。<br />
						<i>Add a Logo for the Web site or Page. It's just like the title of the Website.</i>"
		 ),
	array( "name" => "側邊攔Google自訂搜尋引擎",
		   "id" => $shortname."_search",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入CX值，例如：<code>partner-pub-3215074949429493:i26336p9j47</code>，可以在Google自訂搜尋引擎程式碼中找到，若不設定，則使用Wordpress內建搜尋引擎。<br />
						<i>You can input Google Custom Engine on the top of the sidebar. Just input <b>CX</b> value. For instance, <code>partner-pub-3215074949429493:i26336p9j47</code>. You can find theme in Google Custom Engine Code. If it isn`t been setting, using Wordpress Searching Engine.<br /> </i>"
		 ),	 
	array( "name" => "右側顯示Facebook粉絲專頁橫向動態視窗",
		   "id" => $shortname."_facebookpage",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入粉絲專頁後綴網址，例如：https://www.facebook.com/<code>TWweeb</code>，就輸入<b>TWweeb</b>。<br /><span style='color:red'>*注意：如果訪客螢幕解析度為1024*768，則可能會擋到側邊欄，請自行斟酌閱讀時的舒適度。</span><br />
						<i>If you want to display Facebook Page Plugin on the right side of your Website, please input the last of the Facebook Page URL. For instance, your Facebook Page is https://www.facebook.com/<code>TWweeb</code>. Please input <b>TWweeb</b>.<br />
							<span style='color:red'>*Note: If screen isn't enough wide, it's probably to hide the sidebar, which on the right side of the Website.</span></i>"
		 ),
	array( "name" => "RSS Feed & Atom Feed",
		   "id" => $shortname."_rssfeed2",
		   "type" => "text",
		   "std" => "",
		   "desc" => "RSS Feed 2.0網址，例如 Feedbunber 或其他RSS網址。（ 預設為 ". get_bloginfo('rss2_url') ." ）<br />
						<i>RSS Feed 2.0 Web site. For instance, Feedbunber or another RSS URL. （ Default is  ". get_bloginfo('rss2_url') ." ）</i>"
		 ),
	array( "name" => "",
		   "id" => $shortname."_rssfeed92",
		   "type" => "text",
		   "std" => "",
		   "desc" => "RSS Feed .92網址，例如 Feedbunber 或其他RSS網址。（ 預設為 ". get_bloginfo('rss_url') ." ）<br />
						<i>RSS Feed .92 Web site. For instance, Feedbunber or another RSS URL. （ Default is  ". get_bloginfo('rss_url') ." ）</i>"
		 ),
	array( "name" => "",
		   "id" => $shortname."_atom",
		   "type" => "text",
		   "std" => "",
		   "desc" => "Atom Feed網址，例如 Feedbunber 或其他RSS網址。（ 預設為 ". get_bloginfo('atom_url') ." ）<br />
						<i>Atom Fee Web site. For instance, Feedbunber or another RSS URL. （ Default is  ". get_bloginfo('atom_url') ." ）</i>"
		 ),
	array( "name" => "自訂網頁底部資訊",
		   "id" => $shortname."_footer",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "支援HTML語法，你可以網站分頁、或連結其他頁面，通常會在這類放置「關於站長」、「關於本站」、「聯絡站長」<br />
						<i>HTML Support. You can link some Web-Page or Author-Social-Page or etc. Usually, we put some Cantact content, Web introducing, etc. For instance, 'About US', 'About Founder' , 'Contact US' ,etc.</i>"
		 ),
	array( "name" => "啟用內文左側社群分享按鈕",
		   "id" => $shortname."_share",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用《包含Facebook Like、Google+、Twitter》<br />
						<i>Display articles Sharing-Pluging, including Facebook Recommend、Google+、Twitter.</i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_gotop",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "回到網頁頂部按鈕(Back to Top)，需搭配上一選項「啟用內文左側社群分享按鈕」。在內文中，捲軸超過一定高度時，會於內文左側的分按鈕中，加入滑動到網頁頂部的按鈕<br />
						<i>Display Back-to-Top button below Sharing-Pluging.</i>"
		 ),
	array( "name" => "追蹤流量、統計分析相關代碼",
		   "id" => $shortname."_analysis",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "可放入外部統計、追蹤資訊，如Google Analytics等相關統計、流量追蹤資訊，或其他需要放置在footer的分析代碼。<br />
						<i> You can input some Analytics. Generates detailed statistics about the visits to a website. Take Google Analyticsis for example, it is aimed at marketers as opposed to webmasters and technologists from which the industry of web analytics originally grew. It is the most widely used website statistics service.</i>"
		 ),
	array( "type" => "tabline",
	       "desc" => '</ul><ul class="hide">'
		 ),	
	array( "name" => "啟用文章縮圖",
		   "id" => $shortname."_thumbon",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用後文章列表會自動取文章內第一張圖片作為縮圖顯示，若無圖片則不會顯示。<br />
						<i>Enable article thumbnail. If have pictures, take the first picture of the article for display. If there isn't any picture yet, no display. </i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_thumbonwidth",
		   "type" => "text",
		   "std" => "",
		   "desc" => "縮圖最大寬度(Max width)，系統會將「最大寬度」和「最大高度」之間的比值，做適當縮放。<br />不用輸入相關單位(px, em, .etc.)，例如200px，請輸入<code>200</code>，預設為200px<br />
						<i>Only for Value. Don't input any unit (px, em, .etc.). For instance, 200px, just input<code>200</code>. Defult is 200px</i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_thumbonheight",
		   "type" => "text",
		   "std" => "",
		   "desc" => "縮圖最大高度(Max height)，系統會將「最大寬度」和「最大高度」之間的比值，做適當縮放。<br />不用輸入相關單位(px, em, etc.)，例如250px，請輸入<code>250</code>，預設為250px<br />
						<i>Only for Value. Don't input any unit (px, em, .etc.). For instance, 250px, just input<code>250</code>. Defult is 250px</i>"
		 ),	 
	array( "name" => "啟用特定特色圖片",
		   "id" => $shortname."_thumbnail",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用。在內文中，若有特色圖片則使用，若沒有設定特色圖片，則取用文章內的第一張圖片作為特色圖片。特色圖片用於分享置社群頁面時的縮圖依據。<br />
						<i>Enble Featured Image. If there is no any Featured Image in the article, take the first picture for the Featured Image.</i>"
		 ),	 
	array( "name" => "啟用作者資訊",
		   "id" => $shortname."_author",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用後會在文章之後加入作者資訊，包含作者簡介、作者暱稱、作者社群頁面連結，詳細資訊請在「帳號」→「個人資訊」填寫。<br />
						<i>Enble Author Meta, More about Display Name, Author Description, Author Social Link, etc.</i>"
		 ),	 
	array( "name" => "網站分享用Logo",
		   "id" => $shortname."_ogimage",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "當你在分享你的網站時，如在社群網站中會快取網站資料，其中的圖片就是這個，若不設定則會取用該頁面中的任一圖片<br />
						<i>For Web Sharing Logo.</i>"
		 ),	
	array( "name" => "Facebook 洞察報告(Facebook Insights)",
		   "id" => $shortname."_fbadmin",
		   "type" => "text",
		   "std" => "",
		   "desc" => "<a href='https://www.facebook.com/insights/' target='_blank'>查看你的洞察報告</a><p />Facebook Admin ID（管理員ID），ID間請用半形逗號( , )隔開，用來追查網站上的按讚、留言洞察報告。<br />
						<i>Facebook Admin ID, separated with ( , ).</i>"
		 ),	
	array( "name" => "",
		   "id" => $shortname."_fbappid",
		   "type" => "text",
		   "std" => "",
		   "desc" => "Facebook APP ID （應用程式ID），一個網站一組即可，用來追查網站上的按讚、留言洞察報告。<br />
						<i>Facebook APP ID. One For a Webite</i>"
		 ),	
	array( "name" => "自定義 CSS 樣式(Custom CSS)",
		   "id" => $shortname."_cuscss",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "若你所需的CSS不夠用，你可以在此定義你需要的CSS，或者你要修改預設的佈景CSS，也可以在此新增樣式，你所新增的樣式若與預設佈景相符，會以以下CSS為主。"
		 ),		
	array( "type" => "tabline",
	       "desc" => '</ul><ul class="hide">'
		 ),	 
	array( "name" => "啟用網站上方3個廣告格",
		   "id" => $shortname."_infoxs",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用，相關資訊請在下方填寫，啟用後才能顯示以下資料<br />
						<i>Enble three ADs blocks for Website.</i>"
		 ),	 
	array( "name" => "第一格(左邊)(Left)",
		   "id" => $shortname."_infoxssti",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "請輸入圖片網址，或上傳圖片。請將大小縮至48*48以下，過大時，系統會自動縮圖！<br />
						<i>Please input Picture URL or Upload a picture. Size:48*48(or smaller).</i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsstl",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第一則訊息網址：<br />
						<i>Please input Message URL：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxssth",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第一則訊息標題：<br />
						<i>Please input Message Title：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsstc",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第一則訊息內容：<br />
						<i>Please input Message Content：</i><br />"
		 ),	 
	array( "name" => "第二格(中間)(Medium)",
		   "id" => $shortname."_infoxsndi",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "請輸入圖片網址，或上傳圖片。請將大小縮至48*48以下，過大時，系統會自動縮圖！<br />
						<i>Please input Picture URL or Upload a picture. Size:48*48(or smaller).</i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsndl",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第二則訊息網址：<br />
						<i>Please input Message URL：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsndh",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第二則訊息標題：<br />
						<i>Please input Message Title：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsndc",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第二則訊息內容：<br />
						<i>Please input Message Content：</i><br />"
		 ),	 
	array( "name" => "第三格(右邊)(Right)",
		   "id" => $shortname."_infoxsrdi",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "請輸入圖片網址，或上傳圖片。請將大小縮至48*48以下，過大時，系統會自動縮圖！<br />
						<i>Please input Picture URL or Upload a picture. Size:48*48(or smaller).</i>"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsrdl",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第三則訊息網址：<br />
						<i>Please input Message URL：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsrdh",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第三則訊息標題：<br />
						<i>Please input Message Title：</i><br />"
		 ),	 
	array( "name" => "",
		   "id" => $shortname."_infoxsrdc",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入第三則訊息內容：<br />
						<i>Please input Message Content：</i><br />"
		 ),	 
	array( "type" => "tabline",
	       "desc" => '</ul><ul class="hide">'
		 ),	 
	array( "name" => "廣告欄位1(ADS 1)",
		   "id" => $shortname."_ads1",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：內文標題下方。<br />因為內文寬度為980px，因此廣告寬幅建議690px以下，多餘的會將其遮住。也請不要過滿(剛好)，建議於周圍保留適當寬度，廣告自動置中。<br />
						<i>Location：Below the Title in single page. (Max width: 690px)</i>"
		 ),
	array( "name" => "廣告欄位2(ADS 2)",
		   "id" => $shortname."_ads2",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：首頁(或其他頁)第一篇文章下方。<br />因為內文寬度為980px，因此廣告寬幅建議690px以下，多餘的會將其遮住。也請不要過滿(剛好)，建議於周圍保留適當寬度，廣告自動置中。<br />
						<i>Location：Below the First Article in Index . (Max width: 690px)</i>"
		 ),
	array( "name" => "廣告欄位3(ADS 3)",
		   "id" => $shortname."_ads3",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：繼續閱讀標籤之後(More之後)。<br />因為內文寬度為980px，因此廣告寬幅建議690px以下，多餘的會將其遮住。也請不要過滿(剛好)，建議於周圍保留適當寬度，廣告自動置中。<br />
						<i>Location：After More Tag . (Max width: 690px)</i>"
		 ),
	array( "name" => "廣告欄位4(ADS 4)",
		   "id" => $shortname."_ads4",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：文章底部，作者資訊上方。<br />因為內文寬度為980px，因此廣告寬幅建議690px以下，多餘的會將其遮住。也請不要過滿(剛好)，建議於周圍保留適當寬度，廣告自動置中。<br />
						<i>Location：Below the Article in single page. (Max width: 690px)</i>"
		 ),
	array( "type" => "tabline",
	       "desc" => "</ul>"
		  )
	);
function css_admin() { ?> 
	<link rel="stylesheet" href="<?php bloginfo('template_directory') ?>/functions/style/style.css" type="text/css" />
<?php }
add_action('admin_menu', 'mytheme_add_admin');
function mytheme_add_admin() {
    global $themename, $shortname, $options;
	$epanel = basename(__FILE__);
	$themename = 'iTW';
	if ( isset($_GET['page']) && $_GET['page'] == $epanel ) {
		epanel_save_data();
	}
    $core_page = add_theme_page($themename." 設定", $themename." 佈景設定", 'switch_themes', basename(__FILE__), 'mytheme_admin');
	add_action("admin_head-{$core_page}", 'css_admin');
}
function mytheme_admin() {
    global $themename, $shortname, $options;
	if (isset($_REQUEST['saved'])) {
		if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' 佈景設定已儲存</strong></p></div>';
	};
?>
<script type="text/javascript" src="<?php bloginfo('template_directory') ?>/functions/js/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory') ?>/functions/js/jquery.js"></script>
<a href="http://twweeb.org/" class="twweeb" title="Theme Official Website" >佈景官方網站</a>
<a href="http://twweeb.org/contact/" class="twweeb-contact" target="_blank" title="Sending the Errors" >佈景問題回報</a>
<a href="http://twweeb.org/contact/" class="twweeb-advise" target="_blank" title="Personal Advise(User voice)" >個人想法建議</a>
<abbr class="twweeb-ver" title="iTW 1版本號:1.0(ver 1.0)"><i>版本1.0</i></abbr>
<form method="post" id="main_options_form" enctype="multipart/form-data">
<h2>iTW 佈景設定</h2>
<div id="sidebar-tab"><div id="tab-title">
<h3><span class="selected" title="General Setting">一般設定</span><span title="Advanced Setting">進階設定</span><span title="Three block on the top of the web">頂部三欄位</span><span title="Advertisements Setting">廣告設定</span></h3>
</div>	
<div id="tab-content">
<?php foreach ($options as $value) {if ( in_array( $value['type'], array('tabline', 'text', 'textarea', 'select', 'checkboxes', 'upload'  ) ) ) { ?>
		<?php if ( $value['type'] == "tabline") { ?>
		<?php echo $value['desc']; ?>
		<?php } ?>
		<div class="epanel-box">
				<div class="box-content">
		<?php if ($value['type'] == "upload") { ?>
				<div class="box-title">
				<?php if ( $value['name'] ) { ?>
				<h3><?php echo $value['name']; ?></h3>
				<?php } ?>
		        </div> <!-- end div box-title -->		
                <?php echo $value['desc'] ; ?><br />			  
				<input id="<?php echo $value['id']; ?>" class="uploadfield" type="text" size="80" name="<?php echo $value['id']; ?>" value="<?php echo(get_option($value['id'])); ?>" />
				<div class="upload_buttons">
					<span class="upload_image_reset">重置</span>
					<input class="upload_image_button" type="button" value="上傳圖片" />
				</div><br />
				<?php $preview = get_option($value['id']);if ($preview) { ?>
				下方為你所上傳的圖片：<br />
				<img src="<?php echo(get_option($value['id'])); ?>">
                <?php } ?>
		<?php } elseif ( 'text' == $value['type'] ) { ?>
				<div class="box-title">
				<?php if ( $value['name'] ) { ?>
				<h3><?php echo $value['name']; ?></h3>
				<?php } ?>
		        </div> <!-- end div box-title -->				
		        <?php 
				$et_input_value = '';
				$et_input_value = ( '' != get_option( $value['id'] ) ) ? get_option( $value['id'] ) : $value['std'];
				$et_input_value = stripslashes( $et_input_value );
				?>	
                <?php echo $value['desc'] ; ?>				
				<input name="<?php echo esc_attr( $value['id'] ); ?>" size="90" id="<?php echo esc_attr( $value['id'] ); ?>" type="<?php echo esc_attr( $value['type'] ); ?>" value="<?php echo esc_attr( $et_input_value ); ?>" />
								
		<?php } elseif ($value['type'] == "textarea") { ?>
		      <div class="box-title">
				<?php if ( $value['name'] ) { ?>
				<h3><?php echo $value['name']; ?></h3>
				<?php } ?>
		      </div> <!-- end div box-title -->
			<?php
			$et_textarea_value = '';
			$et_textarea_value = ( '' != get_option( $value['id'] ) ) ? get_option( $value['id'] ) : $value['std'];
			?>  
			<?php echo $value['desc'] ; ?><br />
			<textarea tabindex="4" rows="10" cols="100" name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] ); ?>"><?php echo stripslashes( $et_textarea_value ); ?></textarea> 

        <?php } elseif ( $value['type'] == "checkboxes") { ?>
							<?php 
								$checked = '';
								if ( '' != get_option( $value['id'] ) ) {
									if ( 'on' == get_option( $value['id'] ) ) { $checked = 'checked="checked"'; }
									else { $checked = ''; }
								}
								elseif ( 'on' == $value['std'] ) { $checked = 'checked="checked"'; }
							?>
				<div class="box-title">
				<?php if ( $value['name'] ) { ?>
				<h3><?php echo $value['name']; ?></h3>
				<?php } ?>
		        </div> <!-- end div box-title -->	      			
			<input type="checkbox" class="checkbox" name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] );?>" <?php echo $checked; ?> />
			<label><?php echo $value['desc'] ; ?>	</label>
        <?php } ?> 				
				</div>		
			</div>	
<?php } } ?>
</div></div>
        			<input name="save" type="submit" value="儲存設定"/>
			<input type="hidden" name="action" value="save_epanel" />
    </form>
	<div style="clear: both;"></div>
<?php
}
/* --------------------------------------------- */
global $options, $value, $shortname;
foreach ($options as $value) {
	if (isset($value['id'])) {
		if ( get_option( $value['id'] ) === FALSE) {
			if (array_key_exists('std', $value)) { 
				update_option( $value['id'], $value['std'] );
				$$value['id'] = $value['std'];
			}
		} else {
			$$value['id'] = get_option( $value['id'] ); }
	}
}


function epanel_save_data(){
	global $options;
	
	$epanel = basename(__FILE__);
	
	if ( isset($_REQUEST['action']) ) {
		
		$valuesArray = array();
		
		if ( 'save_epanel' == $_REQUEST['action'] ) {
			foreach ($options as $value) {
				if( isset( $value['id'] ) ) { 
					if( isset( $_REQUEST[ $value['id'] ] ) ) {
update_option( $value['id'], $_POST[$value['id']] );
					}
					else {
delete_option( $value['id'] );
					}
				}
				
				$valuesArray[$value['id']] = $_POST[$value['id']];
			}
			header("Location: themes.php?page=$epanel&saved=true");
			die;
			
		} else if( 'reset' == $_REQUEST['action'] ) {

			foreach ($options as $value) {
				if (isset($value['id'])) {
					delete_option( $value['id'] );
					if (isset($value['std'])) $$value['id'] = $value['std'];
				};
			}
			
			header("Location: themes.php?page=$epanel&reset=true");
			die;
		}
	}	
}
function upload_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_register_script('my-upload', get_template_directory_uri().'/functions/js/custom_uploader.js', array('jquery','media-upload','thickbox'));
	wp_enqueue_script('my-upload');
}
	 
function upload_styles() {
	wp_enqueue_style('thickbox');
}

global $pagenow; 
if ( 'themes.php' == $pagenow && isset( $_GET['page'] ) && ( $_GET['page'] == basename(__FILE__) ) ) {
	add_action('admin_print_scripts', 'upload_scripts');
	add_action('admin_print_styles', 'upload_styles');
} ?>