<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if IE 7]>
<html id="ie7" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if IE 8]>
<html id="ie8" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html dir="ltr" lang="zh-TW">
<!--<![endif]-->
<head>
	<title><?php if (is_home () ) { bloginfo('name'); echo '-' ; bloginfo('description'); }
			else { wp_title(' '); if(wp_title(' ', false)) { echo ' - '; }  bloginfo('name'); } ?>
	</title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" /><?php global $post;if ( is_singular() ) { if ( $post->post_excerpt ) {$post_excerpt = $post->post_excerpt;} 
		else {$post_excerpt = trim( str_replace( "\r\n", ' ', strip_tags( $post->post_content ) ) );}$description = mb_substr( $post_excerpt, 0, 200, 'UTF-8' );
		$description .= ( mb_strlen( $post_excerpt, 'UTF-8' ) > 200 ) ? '…' : '';printf('<meta name="description" content="%s" />', $description);} ?>

	<meta name="distribution" content="global" />
	<meta name="robots" content="all" />
	<meta name="author" content="<?php bloginfo('name')?>" />
	<meta name="copyright" content="<?php bloginfo('name')?>" />
	<meta name="revisit-after" content="1 days" />
 	<meta name="rating" content="general" /> 
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php $rssfeed2 = get_option('itw_rssfeed2'); if($rssfeed2) { echo $rssfeed2; } else{ echo bloginfo('rss2_url') ;} ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php $rssfeed92 = get_option('itw_rssfeed92'); if($rssfeed92) { echo $rssfeed92; } else{ echo bloginfo('rss_url') ;} ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php $atom = get_option('itw_atom'); if($atom) { echo $atom; } else{ echo bloginfo('atom_url') ;} ?>" />
	<link href='http://fonts.googleapis.com/css?family=Archivo+Narrow' rel='stylesheet' type='text/css'>
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<?php $cuscss = get_option('itw_cuscss');if($cuscss) { ?>
	<style type="text/css">
	<?php echo stripslashes($cuscss); ?>
	</style>
	<?php } ?>
	<?php $favi = get_option('itw_favicon'); if($favi) { ?><link rel="Shortcut Icon" type="image/x-icon" href="<?php echo esc_attr($favi); ?>" /><?php } ; ?><?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<?php if ( is_singular() ) : ?>
	<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_directory') ?>/functions/js/singular.js"></script>
	<?php endif; ?>
	<script type="text/javascript" src="<?php bloginfo('template_directory') ?>/functions/js/header.js"></script>
<!--[if lt IE 9]>
<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]--> 
<?php wp_head(); ?>
</head>
	<body>
		<header id="header">
		<div id="header-content">
		<?php $logo = get_option('itw_logo'); if($logo) { ?><div id="title">
				<span id="logo">
					<h1><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>-<?php bloginfo('description'); ?>"><img src="<?php echo esc_attr($logo); ?>" title="<?php bloginfo('name'); ?>-<?php bloginfo('description'); ?>" alt="<?php bloginfo('name'); ?>-<?php bloginfo('description'); ?>" /></a></h1>
				 </span>
			</div>
		<?php } else{ ?><div id="title">
				<span id="text">
					<h1><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>-<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
				 </text>
			</div>
		<?php } ; ?>
			<nav id="nav-menu">
			<?php wp_nav_menu( array( 'container_class' => '', '' => 'primary' ) ); ?>
			</nav>
		</div>
		</header>
			<!--[if lte IE 6]>
				<div id="noie6">
				哈囉!您正在使用Internet Explorer瀏覽本網站，若要呈現完美瀏覽品質，請改用 <a href="http://moztw.org/" target="_blank">Firefox</a>、<a href="http://www.apple.com/tw/safari/download/" target="_blank">Safari</a>、<a href="http://www.opera.com/" target="_blank">Opera</a>、<a href="http://www.google.com/chrome?hl=zh-TW" target="_blank">Chrome</a>。
				</div>
			<![endif]-->
		<div id="content">
	    <?php $infoxs = get_option('itw_infoxs');if($infoxs) { ?>
			<div id="infoxs">
			   <span id="st" class="item"><div class="icons"><img src="<?php $i1 = get_option('itw_infoxssti');if($i1) {echo $i1 ;}; ?>" alumb="true" _w="48" _h="48" /></div><div class="content"><div class="title"><a href="<?php $l1 = get_option('itw_infoxsstl');if($l1) {echo $l1 ;}; ?>"><?php $h1 = get_option('itw_infoxssth');if($h1) {echo $h1 ;}; ?></a></div><div class="info"><?php $c1 = get_option('itw_infoxsstc');if($c1) {echo $c1 ;}; ?></div></div></span>
			   <span id="nd" class="item"><div class="icons"><img src="<?php $i2 = get_option('itw_infoxsndi');if($i2) {echo $i2 ;}; ?>" alumb="true" _w="48" _h="48" /></div><div class="content"><div class="title"><a href="<?php $l2 = get_option('itw_infoxsndl');if($l2) {echo $l2 ;}; ?>"><?php $h2 = get_option('itw_infoxsndh');if($h2) {echo $h2 ;}; ?></a></div><div class="info"><?php $c2 = get_option('itw_infoxsndc');if($c2) {echo $c2 ;}; ?></div></div></span>
			   <span id="rd" class="item"><div class="icons"><img src="<?php $i3 = get_option('itw_infoxsrdi');if($i3) {echo $i3 ;}; ?>" alumb="true" _w="48" _h="48" /></div><div class="content"><div class="title"><a href="<?php $l3 = get_option('itw_infoxsrdl');if($l3) {echo $l3 ;}; ?>"><?php $h3 = get_option('itw_infoxsrdh');if($h3) {echo $h3 ;}; ?></a></div><div class="info"><?php $c3 = get_option('itw_infoxsrdc');if($c3) {echo $c3 ;}; ?></div></div></span>
			</div>
        <?php } ?> 
			<!--<?php echo date("Y"); ?> <?php bloginfo('name'); ?> |All right reserved.Theme "iTW v1.0" powered by TWweeb @ twweeb.org-->